# DeferredAction

class DeferredAction < T , O >(val deferred: Deferred< T >, val callback: suspend ( T ) -> O )(source)

## Constructors

DeferredAction
Link copied to clipboard
constructor(deferred: Deferred< T >, callback: suspend ( T ) -> O )

## Properties

callback
Link copied to clipboard
val callback : suspend ( T ) -> O
deferred
Link copied to clipboard
val deferred : Deferred< T >

## Functions

invoke
Link copied to clipboard
suspend operator fun invoke (): O